import {
  request
} from '../selfRequest';

// 查询条件筛选，废弃
// 1.会议室类型，2.人数，3.会议室设备，4.形式
export function meetingRoomDict(param) {
  return request({
    // url: '/api/roomContent/searchInfo/' + param,
    url: '/app/mr/getConstData',
    method: "post",
  });
}

// 会议室列表
export function meetingRoomListRq(data) {
  return request({
    // url: '/api/roomContent/list',
    url: '/app/mr/getAllRoom',
    method: "post",
    data
  });
}

// 会议室详情信息
export function meetingRoomDetailRq(data) {
  return request({
    url: '/app/mr/roomMrs',
    method: "post",
    data
  });
}

// 当前会议室已预约的记录
export function meetingRoomBookedRecordRq(id) {
  return request({
    url: '/api/roomContent/getMeetingRoomRecord/' + id,
    method: "get",
  });
}

// 当前会议室是否可以预约
export function selectFreeMeetingRoomRq(data) {
  return request({
    url: '/api/roomContent/selectFreeMeetingRoom',
    method: "post",
    data
  });
}

// 获取优惠卷
// "userId":10000,
// "customerId":33,
// "type":1 类型 1.会议室，2.展厅
export function getCustomerTicketRq(data) {
  return request({
    url: '/api/roomContent/getCustomerTicket',
    method: "post",
    data
  });
}

// 计算会议室金额
export function calculateMeetingRoomAmountRq(data) {
  return request({
    url: '/api/roomContent/calculateMeetingRoomAmount',
    method: "post",
    data
  });
}

// 提交会议预约
export function saveMeetingRecordRq(data) {
  return request({
    url: '/api/roomContent/saveMeetingRecord',
    method: "post",
    data
  });
}

// 根据用户id查询预约记录
export function selectReservationListByUserIdRq(data) {
  return request({
    // url: '/api/roomContent/selectReservationListByUserId?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    url: '/app/mr/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: "post",
    data
  });
}

// 根据用户id查询参与记录
export function selectVisitorInvitationRecordRq(data) {
  return request({
    url: '/api/visitor/selectVisitorInvitationRecord/' + data.userId + '?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: "get",
  });
}

// 根据id查询预约信息
export function selectReservationByIdRq(data) {
  return request({
    // url: '/api/roomContent/selectReservationById/' + id,
    url: '/app/mr/getInfo',
    method: "post",
    data
  });
}

// 获取公司地址信息经纬度
export function selectCoordinateRq(data) {
  return request({
    url: '/api/roomContent/selectCoordinate',
    method: "get",
    data
  });
}


// 根据会议室id查询所有的会议室服务与设备
export function getMeetingRoomServiceAndEquipmentRq(id) {
  return request({
    url: '/api/roomContent/getMeetingRoomServiceAndEquipment/' + id,
    method: "get",
  });
}

// 判断是否参与过会议
export function roomContentIsVisitorRq(data) {
  return request({
    url: '/api/roomContent/isVisitor',
    method: "post",
    data
  });
}

// 参与会议
export function roomContentAddVisitorRq(data) {
  return request({
    url: '/api/roomContent/addVisitor',
    method: "post",
    data
  });
}

// 会议室-取消预约
export function cancelOrderRq(data) {
  data.operate = 'CANCEL'
  return request({
    // url: '/api/roomContent/cancelOrder',
    url: '/app/mr/handle',
    method: "post",
    data,
  });
}

// 会议室-预约审核
export function approveOrderRq(data) {
  return request({
    // url: '/api/roomContent/cancelOrder',
    url: '/app/mr/handle',
    method: "post",
    data,
  });
}

// 会议室-支付订单
export function meetingRoomPayOrderRq(data) {
  return request({
    url: '/api/roomContent/payOrder',
    method: "post",
    data
  });
}

// 查询参与会议预约人员列表
export function inviteRecordPersonListRq(id) {
  return request({
    url: '/api/roomContent/inviteRecord?reservationId=' + id,
    method: "get",
  });
}

// 会议室-查询服务信息
export function queryServiceMsgRq(data) {
  return request({
    url: '/api/showroom/listByType',
    method: "post",
    data
  });
}


// 提交会议预约
export function saveChangyangMeetingRecordRq(data) {
  let act = data.mr.id == '' ? 'booking' : 'update'
  return request({
    // url: '/api/roomContent/saveChangyangMeetingRecord',
    url: '/app/mr/' + act,
    method: "post",
    data
  });
}

// 会议室-查询会务人员信息
export function getStaff() {
  return request({
    url: '/app/mr/getWaiter',
    method: "post",
  })
}

// 会议室-分配会务人员
export function addStaff(data) {
  return request({
    url: '/app/mr/addWaiter',
    method: "post",
    data
  })
}

// 提前占用会议室
export function useRoom(data) {
  return request({
    url: '/app/mr/beforehand',
    method: "post",
    data
  })
}

// 会议室-获取所有单位
export function getDep() {
  return request({
    url: '/app/mr/getOrg',
    method: "post",
  })
}
