const app = getApp()
import {
  meetingRoomDetailRq,
  selectCoordinateRq,
  meetingRoomBookedRecordRq
} from "../../../api/meeting/meetingRoom.js"


Page({

  /**
   * 页面的初始数据
   */
  data: {
    IMG_NAME: app.IMG_NAME,
    meetingRoomId: null,
    date: '', // 选择的时间
    rId: '', // 预约id
    dep: '', // 预约单位
    depId: '',
    timeRange: '', // 选择的时间范围
    detail: {},
    bannerList: [],
    mapData: {},
    recordList: [],
    canRes: true // 是否允许预约
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let _this = this
    let userDetail = wx.getStorageSync('user')
    console.log('onLoad', options)
    let time = options.time
    let timeRange = options.timeRange
    let status = options.status
    if (userDetail.roomRole == 5) {
      // 管理员不受限制
      status = '0'
    }
    _this.setData({
      date: time,
      timeRange: timeRange,
      rId: options.rId,
      dep: options.dep,
      depId: options.depId,
      canRes: status == "1" ? false : true,
      userDetail: userDetail
    })
    let meetingRoomId = options.id;
    meetingRoomDetailRq({
      roomId: meetingRoomId
    }).then(res => {
      console.log('meetingRoomDetailRq', res);
      let detail = res.room
      let recordList = res.mr
      let bannerList = []
      if (detail.imgs) {
        try {
          bannerList = detail.imgs.map(item => item.url)
        } catch (error) {
          console.log(`JSON error : ${error}`);
        }
      }
      let _recordList = []
      for (let key in recordList) {
        let eachObj = recordList[key]
        let sTime = eachObj['start']
        sTime = sTime.replaceAll('-', '/')
        let sTimeStr = new Date(sTime).getTime()
        let sTimeData = new Date(sTimeStr)
        let eTime = eachObj['end']
        eTime = eTime.replaceAll('-', '/')
        let eTimeStr = new Date(eTime).getTime()
        let eTimeData = new Date(eTimeStr)
        let sTimeFormat = sTimeData.getHours().toString().padStart(2, '0') + ':' + sTimeData.getMinutes().toString().padStart(2, '0')
        let eTimeFormat = eTimeData.getHours().toString().padStart(2, '0') + ':' + eTimeData.getMinutes().toString().padStart(2, '0')
        const _year = sTimeData.getFullYear()
        const _month = sTimeData.getMonth() + 1 // 月份从0开始，需要+1
        const _day = sTimeData.getDate()
        eachObj['date'] = _year + '-' + _month.toString().padStart(2, '0') + '-' + _day
        eachObj['time'] = sTimeFormat + ' - ' + eTimeFormat
        _recordList.push(eachObj)
      }

      _this.setData({
        recordList: _recordList,
        meetingRoomId,
        detail,
        bannerList
      })
    })
    // meetingRoomBookedRecordRq(meetingRoomId).then(res => {
    //   console.log('meetingRoomBookedRecordRq', res);
    //   let _recordList = []
    //   for (let key in res.data) {
    //     let eachObj = res.data[key]
    //     let _date = eachObj['nowDate']
    //     let _dataList = eachObj['reservations']
    //     for (let i in _dataList) {
    //       let dateObj = _dataList[i]
    //       let _eachData = {
    //         date: _date,
    //         time: dateObj.startTime.substr(11, 5) + ' - ' + dateObj.endDate.substr(11, 5),
    //         user: dateObj.userName,
    //         dep: '暂无',
    //         tel: dateObj.phone,
    //       }
    //       _recordList.push(_eachData)
    //     }
    //   }
    //   _this.setData({
    //     recordList: _recordList
    //   })
    //   // console.log(_recordList)
    //   // let recordList = res.data;
    //   // recordList.map(item => {
    //   //   item.nowDate = item.nowDate.substring(0, 10);
    //   //   item.reservations = item.reservations.map(record => {
    //   //     record.startTime = record.startTime.substring(11)
    //   //     record.endDate = record.endDate.substring(11)
    //   //     record.userName = record.userName.substring(0, 1) + "某"
    //   //     record.phone = record.phone.substring(0, 3) + "****" + record.phone.substring(7, record.phone.length)
    //   //     return record;
    //   //   })
    //   //   return item
    //   // })
    //   // _this.setData({
    //   //   recordList
    //   // })
    //   // console.log(_this.data.recordList)
    // })
    // 获取地址信息
    // _this.getAddress()
  },

  // 获取地址信息（不需要地址）
  getAddress() {
    let _this = this;
    selectCoordinateRq().then(res => {
      _this.setData({
        address: res,
        mapData: {
          latitude: res.lat,
          longitude: res.lng,
          markers: [{
            id: 1,
            latitude: res.lat,
            longitude: res.lng,
            title: res.address,
          }]
        },
      })
    })
  },

  // 打开地图，不需要地图
  openMap(e) {
    console.log('openMap', e);
    let _this = this;
    wx.openLocation({
      name: _this.data.address.address,
      latitude: _this.data.address.lat,
      longitude: _this.data.address.lng,
    })
  },

  // 跳转空间设施，不需要
  jumpMeetingFacilities() {
    let meetingRoomId = this.data.meetingRoomId;
    wx.navigateTo({
      url: '/pages/meeting/meetingRoom/meetingFacilities/meetingFacilities?meetingRoomId=' + meetingRoomId,
    })
  },

  // 跳转-会议室已预约
  jumpMeetingBooked() {
    let meetingRoomId = this.data.meetingRoomId;
    let time = this.data.date
    let timeRange = this.data.timeRange
    wx.navigateTo({
      url: "/pages/meeting/meetingRoom/meetingBooked/meetingBooked?meetingRoomId=" + meetingRoomId + '&time=' + time + '&timeRange=' + timeRange + '&rId=' + this.data.rId + '&dep=' + this.data.dep + '&depId=' + this.data.depId,
    })
  },
  goResInfo(e) {
    if (this.data.userDetail.roomRole != 5) {
      return
    }
    let id = e.currentTarget.dataset.id
    // 跳转到审核页面
    wx.navigateTo({
      url: "/pages/meeting/reservationRecord/meetingRecord/meetingDetail/meetingDetail?act=approve&id=" + id,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})